Distance Matrix doesn't work with postgis vector

2012-08-27 05:49 AM - Sergio Vignali

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15560

Description

I tried to use a Distance Matrix with a postgis vector and I obtained a illeggible csv file. If I save the postgis vector as a shp file the

Distance Matrix works well.

History

#1 - 2012-09-04 11:52 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2013-07-13 03:04 AM - Giovanni Manghi

- Affected QGIS version changed from 1.8.0 to master

- OS version deleted (UBUNTU 12.04)

- Operating System deleted (Linux)

- Priority changed from Normal to High

It still doesn't work for PostGIS layers, as the matrix is full of zeroes. Curios enough, re-saving the vector as shape does not seems to solve the issue, as

the resulting matrix is still wrong.

#3 - 2014-01-30 11:43 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#4 - 2014-02-07 05:32 AM - Giovanni Manghi

- Priority changed from High to Normal

There is no crash or data corruption, so I'm lowering the priority.

#5 - 2015-04-27 12:00 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

#6 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
